4

The title pretty much says it all. I am using Ubuntu Mate, so Firefox is available from the main repository.

Firefox has not worked on the Raspberry Pi since Firefox 55. I hoped that Firefox 56 would fix the issue, but it did not. Now apparently the latest Firefox (57) has been rebuilt to some degree, and although the chances of the bug being fixed is slight, there is always hope.

Has anyone tried it yet? If so, please post your results. If nobody posts, I will be the guinea pig.

Thank you.

  • You had Firefox 55 running on Raspbian, Ubuntu Mate, or another OS? And where did you get the package? – jdonald Nov 18 '17 at 19:26
  • @jdonald: Oh, I am sorry, I thought I put that info in. I am using Ubuntu Mate. – hat Nov 20 '17 at 4:57
1

Update: Firefox 64 is working with Ubuntu Mate 18.04


No, it does not!

Anyone who would like to use Firefox on the Raspberry Pi will still have to use an old version, preferably Firefox ESR (the latest ESR available on Raspbian is now 52.5.2 ESR, as of Dec 29, 2017).

I hope that this issue will be resolved before long, but unfortunately this does not seem very likely.

From what I have read elsewhere, nobody wants to take responsibility for the issue.

Edit:

It seems to be possible to use Firefox 57 on the Raspberry Pi 3 running Ubuntu, by using 64 bit, see jdonald´s answer.

  • Not sure about Ubuntu MATE, but sudo apt install firefox-esr gives me me 52.5.2 on Raspbian. As for Firefox 57, I posted on the thread reporting that it works okay in 64-bit. – jdonald Dec 29 '17 at 5:38
  • 1
    I have updated it now, thanks for letting me know. Unfortunately I have not been able to install Firefox on Raspbian as you can see here: raspberrypi.stackexchange.com/questions/76916/… – hat Dec 29 '17 at 7:19
2

As your question is specific to Ubuntu MATE, I have confirmed a workaround but it won't work on anything older than a Pi 3. You can take advantage of Ubuntu's support for MultiArch.

  1. Switch your kernel to 64-bit. The bootloader included with Ubuntu MATE Xenial already checks for kernel8.img. You can take the Pi64 Lite image and copy over its /boot/{kernel8.img,*.dtb,overlays,cmdline.txt,config.txt} along with the contents of /lib/modules/. Of course, back up your existing 32-bit kernel configuration beforehand. Reboot (fingers crossed). I was surprised that going from kernel 4.4 to 4.11 doesn't cause obvious problems.

  2. Set up MultiArch.

    sudo dpkg --add-architecture arm64 && sudo apt update
    
  3. Install and run 64-bit Firefox:

    sudo apt install firefox:arm64 libcanberra-gtk3-module:arm64 topmenu-gtk3:arm64
    
    firefox
    

(I initially got some warnings about missing Canberra and Topmenu GTK modules, hence the two additional packages.)

Update: Somewhat quicker approach that works on a Pi 2: First, if you're on Ubuntu MATE Xenial download the Trusty .deb package and use dpkg --install. Next, disable Skia then go ahead and run 32-bit Firefox.

  • Thank you. Unfortunately I have a RPi 2B so this is not an option for me, but this will be great for others who do have a later model and are having the same issues. – hat Jan 1 '18 at 6:54
  • @jdonald Have you check if Netflix works ok? – Antonio Beamud Jan 3 '18 at 10:32
  • @Antonio Beamud I haven't seen a good tutorial for installing the Widevine plugin on Firefox for armhf, let alone Firefox for arm64. Pi users might be best off watching Netflix on 32-bit Chromium for now. That guide alone is hard enough! – jdonald Jan 3 '18 at 15:50
0

try the fix on my RPI2 with ubuntu mate 16.04. Finally it works when, I put in comment all the lines user_pref containing gfx

  • 1
    Would you be able to add a bit more information on this? The process isn't very clear from your answer. Thank you. – hat Feb 23 '18 at 14:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.